# MAT_PARTITIONING_JOSTLE

Creates a partitioning context via the external package Jostle.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatPartitioningCreate_Jostle(MatPartitioning part)

Collective on MPI_Comm

### Input Parameter

part -the partitioning context

### Options Database Keys

| -mat_partitioning_jostle_coarse_level <0>: Coarse level (MatPartitioningJostleSetCoarseLevel) | - - -mat_partitioning_jostle_coarse_sequential: Use sequential coarse partitioner (MatPartitioningJostleSetCoarseSequential)

Notes: See http://www.gre.ac.uk/~c.walshaw/jostle/

### Keywords

Partitioning, create, context

### See Also

MatPartitioningSetType(), MatPartitioningType

Level:beginner
Location: src/mat/partition/impls/jostle/jostle.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages